Public Member Functions

# BinNavi.API.disassembly.FunctionNode Class Reference

Represents a node that represents a function in a view. More...

Inheritance diagram for BinNavi.API.disassembly.FunctionNode:

List of all members.

## Public Member Functions
void | addListener (final IFunctionNodeListener listener)
| Adds a function node listener.
void | addListener (final IViewNodeListener listener)
| Adds a view node listener.
void | addTag (final Tag tag) throws CouldntSaveDataException
| Tags the node.
Color | getBorderColor ()
| The border color of the node.
List< ViewNode > | getChildren ()
| The child nodes of the node.
Color | getColor ()
| The color of the node.
String | getComment ()
| Comment of the function node.
Function | getFunction ()
| Function represented by this node.
List< ViewEdge > | getIncomingEdges ()
| Returns the incoming edges of the view node.
List< ViewEdge > | getOutgoingEdges ()
| Returns the outgoing edges of the view node.
GroupNode | getParentGroup ()
| Parent group of the node.
List< ViewNode > | getParents ()
| The parent nodes of the node.
List< Tag > | getTags ()
| Returns tags of the node.
double | getX ()
| X-position of the node.
double | getY ()
| Y-position of the node.
boolean | isSelected ()
| Selection state of the node.
boolean | isTagged (final Tag tag)
| Checks if the node is tagged with a given tag.
boolean | isVisible ()
| Visibility state of the node.
void | removeListener (final IFunctionNodeListener listener)
void | removeListener (final IViewNodeListener listener)
| Removes a view node listener.
void | removeTag (final Tag tag) throws CouldntSaveDataException
| Removes a tag from the node.
void | setBorderColor (final Color color)
| Changes the border color of the node.
void | setColor (final Color color)
| Changes the background color of the node.
void | setComment (final String comment) throws CouldntSaveDataException
| Changes the comment of the function node.
void | setSelected (final boolean selection)
| Changes the selection state of the node.
void | setX (final double newX)
| Changes the X-position of the node.
void | setY (final double newY)
| Changes the Y-position of the node.
String | toString ()
| Printable representation of the function node.

## Detailed Description

Represents a function node in a view.

## Member Function Documentation

void BinNavi.API.disassembly.FunctionNode.addListener | ( | final IFunctionNodeListener | listener | ) |

Adds an object that is notified about changes in the function node.

Parameters:

  | listener | The listener object that is notified about changes in the function node.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object is already listening on the function node.

void BinNavi.API.disassembly.ViewNode.addListener | ( | final IViewNodeListener | listener | ) | `[inherited]`

Adds a listener object that is notified about changes in the view node.

Parameters:

  | listener | The listener that is added to the view node.

void BinNavi.API.disassembly.ViewNode.addTag | ( | final Tag | tag | ) | throws CouldntSaveDataException `[inherited]`

Tags a node with a given tag.

Parameters:

  | tag | The tag that is added to the node.

Exceptions:

  | CouldntSaveDataException | Thrown if the node could not be tagged.

Color BinNavi.API.disassembly.ViewNode.getBorderColor | ( |  | ) | `[inherited]`

Returns the current border color of the node.

Returns:
  The current border color of the node.

List<ViewNode> BinNavi.API.disassembly.ViewNode.getChildren | ( |  | ) | `[inherited]`

Returns the nodes of the view that are reachable by following the outgoing edges of the view node.

Returns:
  The reachable children of the view node.

Color BinNavi.API.disassembly.ViewNode.getColor | ( |  | ) | `[inherited]`

Returns the current background color of the node.

Returns:
  The current background color of the node.

String BinNavi.API.disassembly.FunctionNode.getComment | ( |  | ) |

Returns the comment associated with the node.

Returns:
  The comment associated with the node.

Function BinNavi.API.disassembly.FunctionNode.getFunction | ( |  | ) |

Returns the function represented by this node.

Returns:
  The function represented by this node.

List<ViewEdge> BinNavi.API.disassembly.ViewNode.getIncomingEdges | ( |  | ) | `[inherited]`

Returns the incoming edges of the view node.

Returns:
  The incoming edges of the view node.

List<ViewEdge> BinNavi.API.disassembly.ViewNode.getOutgoingEdges | ( |  | ) | `[inherited]`

Returns the ougoing edges of the view node.

Returns:
  The outgoing edges of the view node.

GroupNode BinNavi.API.disassembly.ViewNode.getParentGroup | ( |  | ) | `[inherited]`

Returns the group node in which the node is contained. If the node does not belong to any group, the return value of this method is null.

Returns:
  Parent group node of the node or null.

List<ViewNode> BinNavi.API.disassembly.ViewNode.getParents | ( |  | ) | `[inherited]`

Returns the nodes of the view that are reachable by following the incoming edges of the view node.

Returns:
  The reachable parents of the view node.

List<Tag> BinNavi.API.disassembly.ViewNode.getTags | ( |  | ) | `[inherited]`

Returns the tags that are currently associated with the node.

Returns:
  A list of tags.

double BinNavi.API.disassembly.ViewNode.getX | ( |  | ) | `[inherited]`

Returns the current X position of the node in the view.

Returns:
  The current X position of the node in the view.

double BinNavi.API.disassembly.ViewNode.getY | ( |  | ) | `[inherited]`

Returns the current Y position of the node in the view.

Returns:
  The current Y position of the node in the view.

boolean BinNavi.API.disassembly.ViewNode.isSelected | ( |  | ) | `[inherited]`

Determines whether the node is selected or not.

Returns:
  True, if the node is selected. False, otherwise.

boolean BinNavi.API.disassembly.ViewNode.isTagged | ( | final Tag | tag | ) | `[inherited]`

Determines whether the node is tagged with a given tag.

Parameters:

  | tag | The tag that is checked.

Returns:
  True, if the node is tagged with the tag. False, otherwise.

Exceptions:

  | IllegalArgumentException | Thrown if the tag argument is null.

boolean BinNavi.API.disassembly.ViewNode.isVisible | ( |  | ) | `[inherited]`

Determines whether the node is visible or not.

Returns:
  True, if the node is visible. False, otherwise.

void BinNavi.API.disassembly.FunctionNode.removeListener | ( | final IFunctionNodeListener | listener | ) |

Removes a listener object from the function node.

Parameters:

  | listener | The listener object to remove from the function node.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object was not listening on the function node.

void BinNavi.API.disassembly.ViewNode.removeListener | ( | final IViewNodeListener | listener | ) | `[inherited]`

Removes a listener object from the view node.

Parameters:

  | listener | The listener object to remove from the node.

void BinNavi.API.disassembly.ViewNode.removeTag | ( | final Tag | tag | ) | throws CouldntSaveDataException `[inherited]`

Removes a tag from the node.

Parameters:

  | tag | The tag to remove from the node.

Exceptions:

  | CouldntSaveDataException | Thrown if the tag could not be removed from the node.

void BinNavi.API.disassembly.ViewNode.setBorderColor | ( | final Color | color | ) | `[inherited]`

Changes the border color of the node.

Parameters:

  | color | The new border color of the node.

void BinNavi.API.disassembly.ViewNode.setColor | ( | final Color | color | ) | `[inherited]`

Changes the background color of the node.

Parameters:

  | color | The new background color of the node.

void BinNavi.API.disassembly.FunctionNode.setComment | ( | final String | comment | ) | throws CouldntSaveDataException

Changes the comment associated with the node.

Parameters:

  | comment | The new node comment.

Exceptions:

  | CouldntSaveDataException | Thrown if the comment could not be written to the database.

void BinNavi.API.disassembly.ViewNode.setSelected | ( | final boolean | selection | ) | `[inherited]`

Selects or deselects the node.

Parameters:

  | selection | True to select the node, false to deselect it.

void BinNavi.API.disassembly.ViewNode.setX | ( | final double | newX | ) | `[inherited]`

Changes the X position of the node.

Parameters:

  | newX | The new X position of the node.

void BinNavi.API.disassembly.ViewNode.setY | ( | final double | newY | ) | `[inherited]`

Changes the Y position of the node.

Parameters:

  | newY | The new Y position of the node.

String BinNavi.API.disassembly.FunctionNode.toString | ( |  | ) |

Returns the string representation of the function node.

Returns:
  The string representation of the function node.

Reimplemented from BinNavi.API.disassembly.ViewNode.